libsswf: sswf::ActionPushData::action_immediate_t Struct Reference

# sswf::ActionPushData::action_immediate_t Struct Reference

One data entry of a PushData action.

Inheritance diagram for sswf::ActionPushData::action_immediate_t:

List of all members.

## Public Member Functions
| action_immediate_t (action_immediate_type_t type)
## Public Attributes
union {
bool f_boolean
float f_float32
double f_float64
long f_integer32
unsigned short f_lookup
unsigned char f_register
char * f_string
} | f_data
action_immediate_type_t | f_type

## Constructor & Destructor Documentation

sswf::ActionPushData::action_immediate_t::action_immediate_t | ( | action_immediate_type_t | type | ) | `[inline]`

References f_data, and f_type.

## Member Data Documentation

bool sswf::ActionPushData::action_immediate_t::f_boolean

Referenced by sswf::ActionPushData::AddBoolean(), sswf::ActionPushData::Duplicate(), and sswf::ActionPushData::SaveData().

union { ... } sswf::ActionPushData::action_immediate_t::f_data

Referenced by action_immediate_t(), sswf::ActionPushData::AddBoolean(), sswf::ActionPushData::AddDouble(), sswf::ActionPushData::AddFloat(), sswf::ActionPushData::AddInteger(), sswf::ActionPushData::AddLookup(), sswf::ActionPushData::AddRegister(), sswf::ActionPushData::AddString(), sswf::ActionPushData::Duplicate(), sswf::ActionPushData::GetMaxRegister(), sswf::ActionPushData::ParseData(), and sswf::ActionPushData::SaveData().

float sswf::ActionPushData::action_immediate_t::f_float32

Referenced by sswf::ActionPushData::AddFloat(), and sswf::ActionPushData::Duplicate().

double sswf::ActionPushData::action_immediate_t::f_float64

Referenced by sswf::ActionPushData::AddDouble(), and sswf::ActionPushData::Duplicate().

long sswf::ActionPushData::action_immediate_t::f_integer32

Referenced by sswf::ActionPushData::AddInteger(), sswf::ActionPushData::Duplicate(), and sswf::ActionPushData::SaveData().

unsigned short sswf::ActionPushData::action_immediate_t::f_lookup

Referenced by sswf::ActionPushData::AddLookup(), sswf::ActionPushData::Duplicate(), and sswf::ActionPushData::SaveData().

unsigned char sswf::ActionPushData::action_immediate_t::f_register

Referenced by sswf::ActionPushData::AddRegister(), sswf::ActionPushData::Duplicate(), sswf::ActionPushData::GetMaxRegister(), and sswf::ActionPushData::SaveData().

char* sswf::ActionPushData::action_immediate_t::f_string

Referenced by sswf::ActionPushData::AddString(), sswf::ActionPushData::Duplicate(), sswf::ActionPushData::ParseData(), and sswf::ActionPushData::SaveData().

action_immediate_type_t sswf::ActionPushData::action_immediate_t::f_type

Referenced by action_immediate_t(), sswf::ActionPushData::Duplicate(), sswf::ActionPushData::GetMaxRegister(), and sswf::ActionPushData::SaveData().

The documentation for this struct was generated from the following file:

- libsswf.h